summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-fs/davfs2
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-fs/davfs2')
-rw-r--r--net-fs/davfs2/Manifest2
-rw-r--r--net-fs/davfs2/davfs2-1.4.5-r1.ebuild73
-rw-r--r--net-fs/davfs2/davfs2-1.4.7.ebuild63
-rw-r--r--net-fs/davfs2/files/davfs2-1.4.5-glibc212.patch60
-rw-r--r--net-fs/davfs2/files/davfs2-1.4.7-destdir.patch18
-rw-r--r--net-fs/davfs2/metadata.xml5
6 files changed, 221 insertions, 0 deletions
diff --git a/net-fs/davfs2/Manifest b/net-fs/davfs2/Manifest
new file mode 100644
index 00000000000..2904835f7e7
--- /dev/null
+++ b/net-fs/davfs2/Manifest
@@ -0,0 +1,2 @@
+DIST davfs2-1.4.5.tar.gz 429635 SHA256 28f0ce00ddaf1ab93aa9f39db8d9f932d194c676bc21c3c8c3e2bea7f21274de SHA512 0fd20e8aba8d236feec06b3f2184388691ee19a4e993cf543a2356feb9c25e1de41521c462bd01497f89ff4d16d0d3defb3227a64c0a490db2c0647e1391c9d1 WHIRLPOOL 955d98c0a2b49d5400971b9381d05f87c21420a5b52a4ef1ec330cfd6d4f451e56a6fa884164ed84dabae06aa29010df66ccd6e048e932d30e01545257152e31
+DIST davfs2-1.4.7.tar.gz 444398 SHA256 50c0ee2a12e8d09fc6a852d32bdfebb1f784939433a85f05254bc7ef28cff044 SHA512 6754d08cdfcceea47a4248fb05a6f5a1907acbc9a6c0ab175dce640b160ee24b7efdf9da38be1cc8bd6dbb0825c88a7017a3534a7c3188860dcd1bef12a5d4ae WHIRLPOOL f4c44ccc1fbd146f563605b2290068b549f6dcf247224685f2efaf9cda91a947a45dceed17d3d585407dc8e4ffa85c933d6eb5b4e78e0f00bd18cfbd53f52c7d
diff --git a/net-fs/davfs2/davfs2-1.4.5-r1.ebuild b/net-fs/davfs2/davfs2-1.4.5-r1.ebuild
new file mode 100644
index 00000000000..bd443b7877e
--- /dev/null
+++ b/net-fs/davfs2/davfs2-1.4.5-r1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+
+inherit autotools eutils linux-mod user
+
+DESCRIPTION="Linux FUSE (or coda) driver that allows you to mount a WebDAV resource"
+HOMEPAGE="http://savannah.nongnu.org/projects/davfs2"
+SRC_URI="http://mirror.lihnidos.org/GNU/savannah/davfs2/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+RESTRICT="test"
+
+DEPEND="dev-libs/libxml2
+ net-libs/neon
+ sys-libs/zlib"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ enewgroup davfs2
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-glibc212.patch
+ sed -e "s/^NE_REQUIRE_VERSIONS.*29/& 30/" -i configure.ac
+ eautoreconf
+}
+
+src_configure() {
+ econf --enable-largefile
+}
+
+src_compile() {
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc AUTHORS BUGS ChangeLog FAQ NEWS README README.translators THANKS TODO
+
+ # Remove wrong locations created by install.
+ rm -fr "${D}/usr/share/doc/davfs2"
+ rm -fr "${D}/usr/share/davfs2"
+
+ dodir /var/run/mount.davfs
+ keepdir /var/run/mount.davfs
+ fowners root:davfs2 /var/run/mount.davfs
+ fperms 1774 /var/run/mount.davfs
+
+ # Ignore nobody's home
+ cat>>"${D}/etc/davfs2/davfs2.conf"<<EOF
+
+# nobody is a system account in Gentoo
+ignore_home nobody
+EOF
+}
+
+pkg_postinst() {
+ elog
+ elog "Quick setup:"
+ elog " (as root)"
+ elog " # gpasswd -a \${your_user} davfs2"
+ elog " # echo 'http://path/to/dav /home/\${your_user}/dav davfs rw,user,noauto 0 0' >> /etc/fstab"
+ elog " (as user)"
+ elog " # mkdir -p ~/dav"
+ elog " \$ mount ~/dav"
+ elog
+}
diff --git a/net-fs/davfs2/davfs2-1.4.7.ebuild b/net-fs/davfs2/davfs2-1.4.7.ebuild
new file mode 100644
index 00000000000..cde20257062
--- /dev/null
+++ b/net-fs/davfs2/davfs2-1.4.7.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit autotools eutils linux-mod user
+
+DESCRIPTION="Linux FUSE (or coda) driver that allows you to mount a WebDAV resource"
+HOMEPAGE="http://savannah.nongnu.org/projects/davfs2"
+SRC_URI="http://mirror.lihnidos.org/GNU/savannah/davfs2/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+RESTRICT="test"
+
+DEPEND="dev-libs/libxml2
+ net-libs/neon
+ sys-libs/zlib"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ enewgroup davfs2
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-destdir.patch # fixed in 1.4.7+ upstream
+ sed -e "s/^NE_REQUIRE_VERSIONS.*29/& 30/" -i configure.ac
+ eautoreconf
+}
+
+src_configure() {
+ econf dav_user=nobody --enable-largefile --docdir=/usr/share/doc/${P}
+}
+
+src_compile() {
+ emake
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+# dodoc AUTHORS BUGS ChangeLog FAQ NEWS README README.translators THANKS TODO
+
+ dodir /var/run/mount.davfs
+ keepdir /var/run/mount.davfs
+ fowners root:davfs2 /var/run/mount.davfs
+ fperms 1774 /var/run/mount.davfs
+
+}
+
+pkg_postinst() {
+ elog
+ elog "Quick setup:"
+ elog " (as root)"
+ elog " # gpasswd -a \${your_user} davfs2"
+ elog " # echo 'http://path/to/dav /home/\${your_user}/dav davfs rw,user,noauto 0 0' >> /etc/fstab"
+ elog " (as user)"
+ elog " # mkdir -p ~/dav"
+ elog " \$ mount ~/dav"
+ elog
+}
diff --git a/net-fs/davfs2/files/davfs2-1.4.5-glibc212.patch b/net-fs/davfs2/files/davfs2-1.4.5-glibc212.patch
new file mode 100644
index 00000000000..cd7cde3f26a
--- /dev/null
+++ b/net-fs/davfs2/files/davfs2-1.4.5-glibc212.patch
@@ -0,0 +1,60 @@
+http://bugs.gentoo.org/332865
+https://savannah.nongnu.org/bugs/?28916
+
+--- src/dav_coda.c
++++ src/dav_coda.c
+@@ -52,6 +52,9 @@
+ #ifdef HAVE_SYS_TYPES_H
+ #include <sys/types.h>
+ #endif
++#ifdef HAVE_SYS_STAT_H
++#include <sys/stat.h>
++#endif
+
+ #include "defaults.h"
+ #include "mount_davfs.h"
+--- src/dav_fuse.c
++++ src/dav_fuse.c
+@@ -41,6 +41,12 @@
+ #ifdef HAVE_UNISTD_H
+ #include <unistd.h>
+ #endif
++#ifdef HAVE_SYS_TYPES_H
++#include <sys/types.h>
++#endif
++#ifdef HAVE_SYS_STAT_H
++#include <sys/stat.h>
++#endif
+
+ #include "defaults.h"
+ #include "mount_davfs.h"
+--- src/kernel_interface.c
++++ src/kernel_interface.c
+@@ -44,6 +44,12 @@
+ #ifdef HAVE_UNISTD_H
+ #include <unistd.h>
+ #endif
++#ifdef HAVE_SYS_TYPES_H
++#include <sys/types.h>
++#endif
++#ifdef HAVE_SYS_STAT_H
++#include <sys/stat.h>
++#endif
+
+ #ifdef HAVE_SYS_MOUNT_H
+ #include <sys/mount.h>
+--- src/webdav.c
++++ src/webdav.c
+@@ -47,6 +47,12 @@
+ #ifdef HAVE_UNISTD_H
+ #include <unistd.h>
+ #endif
++#ifdef HAVE_SYS_TYPES_H
++#include <sys/types.h>
++#endif
++#ifdef HAVE_SYS_STAT_H
++#include <sys/stat.h>
++#endif
+
+ #include <ne_alloc.h>
+ #include <ne_auth.h>
diff --git a/net-fs/davfs2/files/davfs2-1.4.7-destdir.patch b/net-fs/davfs2/files/davfs2-1.4.7-destdir.patch
new file mode 100644
index 00000000000..40dbd9585a2
--- /dev/null
+++ b/net-fs/davfs2/files/davfs2-1.4.7-destdir.patch
@@ -0,0 +1,18 @@
+https://bugs.gentoo.org/384703
+Patch by Jeroen Roovers
+
+https://savannah.nongnu.org/support/?108104
+
+--- a/src/Makefile.am
++++ b/src/Makefile.am
+@@ -51,8 +51,8 @@
+ chmod u+s $(DESTDIR)$(sbindir)/mount.davfs; \
+ if test "$(sbindir)" != "$(ssbindir)"; then \
+ $(mkinstalldirs) $(DESTDIR)$(ssbindir); \
+- $(LN_S) -f $(DESTDIR)$(sbindir)/mount.davfs $(DESTDIR)$(ssbindir)/mount.davfs; \
+- $(LN_S) -f $(DESTDIR)$(sbindir)/umount.davfs $(DESTDIR)$(ssbindir)/umount.davfs; \
++ $(LN_S) -f $(sbindir)/mount.davfs $(DESTDIR)$(ssbindir)/mount.davfs; \
++ $(LN_S) -f $(sbindir)/umount.davfs $(DESTDIR)$(ssbindir)/umount.davfs; \
+ fi
+
+ uninstall-hook:
diff --git a/net-fs/davfs2/metadata.xml b/net-fs/davfs2/metadata.xml
new file mode 100644
index 00000000000..ae4618a83b4
--- /dev/null
+++ b/net-fs/davfs2/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>net-fs</herd>
+</pkgmetadata>